package com.usky.rule.constant;

import com.usky.rule.util.DateTimeUtil;
import java.time.format.DateTimeFormatter;

public interface DateTimeConstants {
    String PATTERN_NUMERIC_DATETIME = "yyyyMMddHHmmss";
    String PATTERN_DATETIME = "yyyy-MM-dd HH:mm:ss";
    String PATTERN_DATE = "yyyy-MM-dd";
    String PATTERN_TIME = "HH:mm:ss";
    DateTimeFormatter DATE_TIME_FORMATTER = DateTimeFormatter.ofPattern("yyyy-MM-dd HH:mm:ss").withZone(DateTimeUtil.getZoneId());
    DateTimeFormatter DATE_FORMATTER = DateTimeFormatter.ofPattern("yyyy-MM-dd").withZone(DateTimeUtil.getZoneId());
    DateTimeFormatter TIME_FORMATTER = DateTimeFormatter.ofPattern("HH:mm:ss").withZone(DateTimeUtil.getZoneId());
    DateTimeFormatter DATE_TIME_HOUR_FORMATTER_ZH_CN = DateTimeFormatter.ofPattern("yyyy年MM月dd日 HH时").withZone(DateTimeUtil.getZoneId());
    DateTimeFormatter DATE_TIME_DAY_FORMATTER_ZH_CN = DateTimeFormatter.ofPattern("yyyy年MM月dd日").withZone(DateTimeUtil.getZoneId());
    DateTimeFormatter DATE_TIME_MONTH_FORMATTER_ZH_CN = DateTimeFormatter.ofPattern("yyyy年MM月").withZone(DateTimeUtil.getZoneId());
    DateTimeFormatter DATE_TIME_YEAR_FORMATTER_ZH_CN = DateTimeFormatter.ofPattern("yyyy年").withZone(DateTimeUtil.getZoneId());
    DateTimeFormatter SIMPLE_DATE_TIME_FORMATTER = DateTimeFormatter.ofPattern("yyyyMMddHHmmss").withZone(DateTimeUtil.getZoneId());
    DateTimeFormatter SIMPLE_DATE_FORMATTER = DateTimeFormatter.ofPattern("yyyyMMdd").withZone(DateTimeUtil.getZoneId());
    DateTimeFormatter SIMPLE_TIME_FORMATTER = DateTimeFormatter.ofPattern("HHmmss").withZone(DateTimeUtil.getZoneId());
    DateTimeFormatter DB_DATE_TIME_FORMATTER = DateTimeFormatter.ofPattern("yyyy-MM-dd HH:mm:ss.SSS").withZone(DateTimeUtil.getZoneId());
}
